##
##  perl-ds.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_bit_vector      6.3
%define       V_set_scalar      1.17
%define       V_io_string       1.02
%define       V_io_stringy      2.108
%define       V_tie_ixhash      1.21

#   package information
Name:         perl-ds
Summary:      Perl Modules for use with data structures
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030123
Release:      20030123

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Bit/Bit-Vector-%{V_bit_vector}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Set/Set-Scalar-%{V_set_scalar}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/IO/IO-String-%{V_io_string}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/IO/IO-stringy-%{V_io_stringy}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/Tie/Tie-IxHash-%{V_tie_ixhash}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20020206, perl, perl-openpkg
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for use with data structures:
    - Bit::Vector (%{V_bit_vector})
    - Set::Scalar (%{V_set_scalar})
    - IO::String (%{V_io_string})
    - IO::stringy (%{V_io_stringy})
    - Tie::IxHash (%{V_tie_ixhash})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup3 -q -T -D -a 4

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

